#
# spec file for package mokutil
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           mokutil
Version:        0.5.0
Release:        150400.3.3.1
Summary:        Tools for manipulating machine owner keys
License:        GPL-3.0-only
Group:          Productivity/Security
URL:            https://github.com/lcp/mokutil
Source:         https://github.com/lcp/%{name}/archive/%{version}.tar.gz
Source1:        modhash
# PATCH-FIX-SUSE mokutil-remove-libkeyutils-check.patch glin@suse.com -- Disable the check of libkeyutils version
Patch1:         mokutil-remove-libkeyutils-check.patch
# PATCH-FIX-UPSTREAM mokutil-fix-missing-header.patch glin@suse.com -- Fix the compilation error due to the missing header
Patch2:         mokutil-fix-missing-header.patch
# PATCH-FIX-UPSTREAM bsc#1198458 jlee@suse.com
Patch3:         mokutil-enable-setting-fallback-verbosity-and-norebo.patch
Patch4:         mokutil-SBAT-revocation-update-support.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  efivar-devel >= 0.12
BuildRequires:  keyutils-devel >= 1.5.0
BuildRequires:  libopenssl-devel >= 0.9.8
BuildRequires:  pkgconfig
Requires:       openssl
ExclusiveArch:  x86_64 aarch64 ppc64le ppc64

%description
This program provides the means to enroll and erase the machine owner
keys (MOK) stored in the database of shim.

%prep
%setup -q
%if 0%{?suse_version} <= 1500
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install
install -m 755 -D %{SOURCE1} %{buildroot}/%{_bindir}/modhash

%files
%license COPYING
%{_bindir}/mokutil
%{_bindir}/modhash
%{_mandir}/man?/*
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/mokutil

%changelog
